﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

interface IDrivable {
  void Drive();
}

class GolfCart : IDrivable {
  private string sound = "Whirrrr";

  public void Drive() {
    Debug.Log(sound);
  }

}

class Bike : IDrivable {
  private string sound = "squeak squeak";

  public void Drive() {
    Debug.Log(sound);
  }
}

class Car : IDrivable {
  private string sound = "Vrooommm";

  public void Drive() {
    Debug.Log(sound);
  }

}


public class InterfaceVehicles : MonoBehaviour {

	// Use this for initialization
	void Start () {
		
	}

  void OnDisable() {
    GolfCart cart = new GolfCart();
    Bike bike = new Bike();
    Car car = new Car();

    IDrivable[] vehicles = new IDrivable[] { cart, bike, car };
    foreach (IDrivable vehicle in vehicles) {
      vehicle.Drive();
    }
  }

  // Update is called once per frame
  

	// Update is called once per frame
	void Update () {
		
	}
}
